<?xml version="1.0" encoding="ISO-8859-1"?>
<toc>
<book href="index.html" id="id5364247">
<title>IRIX® Checkpoint and Restart 
Operation Guide</title>
<bookinfo href="front.html">
<title>Front Matter</title>
</bookinfo>
<preface href="pr01.html" id="id5364492">
<title>New Features in This Guide</title>
<section href="pr01.html#id5364504" id="id5364504">
<title>New Features Documented</title>
</section>
<section href="pr01.html#id5364515" id="id5364515">
<title>Major Documentation Changes</title>
</section>
</preface>
<preface href="pr02.html" id="id5178658">
<title>About This Guide</title>
<section href="pr02.html#id5178680" id="id5178680">
<title>Intended Audience</title>
</section>
<section href="pr02.html#id5178727" id="id5178727">
<title>What This Guide Contains</title>
</section>
<section href="pr02.html#id5178784" id="id5178784">
<title>Resources for Further Information</title>
</section>
<section href="pr02.html#id5178834" id="id5178834">
<title>Conventions</title>
</section>
<section href="pr02.html#id5179133" id="id5179133">
<title>Reader Comments</title>
</section>
</preface>
<chapter href="ch01.html" id="LE51170-PARENT">
<title>Chapter 1. Using Checkpoint and Restart</title>
<section href="ch01.html#LE31190-PARENT" id="LE31190-PARENT">
<title>What is IRIX Checkpoint and Restart</title>
</section>
<section href="ch01.html#LE12816-PARENT" id="LE12816-PARENT">
<title>Definition of Terms</title>
<section href="ch01.html#id5178170" id="id5178170">
<title>Verifying eoe.sw.cpr</title>
</section>
</section>
<section href="ch01.html#LE31938-PARENT" id="LE31938-PARENT">
<title>Checkpointing Processes</title>
<section href="ch01.html#id5186924" id="id5186924">
<title>Naming the Checkpoint Image</title>
</section>
<section href="ch01.html#id5186952" id="id5186952">
<title>Job Control Shells</title>
</section>
</section>
<section href="ch01.html#LE25724-PARENT" id="LE25724-PARENT">
<title>Restarting Processes</title>
<section href="ch01.html#id5187301" id="id5187301">
<title>Persistence of Statefiles</title>
</section>
<section href="ch01.html#id5187364" id="id5187364">
<title>Job Control Option</title>
</section>
</section>
<section href="ch01.html#LE26609-PARENT" id="LE26609-PARENT">
<title>Querying Checkpoint Status</title>
</section>
<section href="ch01.html#LE40587-PARENT" id="LE40587-PARENT">
<title>Deleting Statefiles</title>
</section>
<section href="ch01.html#LE28490-PARENT" id="LE28490-PARENT">
<title>Graphical Interface&#8211;cview</title>
<figure href="ch01.html#id5187636" id="id5187636">
<title>Figure 1-1. Checkpoint Control Panel (cview)</title>
</figure>
<figure href="ch01.html#id5187677" id="id5187677">
<title>Figure 1-2. Restart Control Panel (cview)</title>
</figure>
</section>
<section href="ch01.html#LE59841-PARENT" id="LE59841-PARENT">
<title>Checkpoint and Restart Attributes</title>
<table href="ch01.html#id5187843" id="id5187843">
<title>Table 1-1. IDtype Modifier Options</title>
</table>
<table href="ch01.html#id5188157" id="id5188157">
<title>Table 1-2. Policy Names and Actions</title>
</table>
<section href="ch01.html#id5188316" id="id5188316">
<title>FILE Policy</title>
</section>
<section href="ch01.html#id5188562" id="id5188562">
<title>WILL Policy</title>
</section>
<section href="ch01.html#id5188701" id="id5188701">
<title>CDIR or RDIR Policy</title>
</section>
<section href="ch01.html#id5188812" id="id5188812">
<title>FORK Policy</title>
</section>
<section href="ch01.html#id5188935" id="id5188935">
<title>Example Attribute File</title>
</section>
</section>
</chapter>
<chapter href="ch02.html" id="LE60915-PARENT">
<title>Chapter 2. Administering Checkpoint and Restart</title>
<section href="ch02.html#LE23800-PARENT" id="LE23800-PARENT">
<title>Responsibilities of the Administrator</title>
</section>
<section href="ch02.html#LE41739-PARENT" id="LE41739-PARENT">
<title>Installing eoe.sw.cpr</title>
<table href="ch02.html#id5189219" id="id5189219">
<title>Table 2-1. CPR Product Subsystems</title>
</table>
</section>
<section href="ch02.html#LE36556-PARENT" id="LE36556-PARENT">
<title>Managing Checkpoint Images</title>
<section href="ch02.html#id5189531" id="id5189531">
<title>Statefile Location and Content</title>
</section>
<section href="ch02.html#id5189609" id="id5189609">
<title>Monitoring a Checkpoint</title>
</section>
<section href="ch02.html#id5189697" id="id5189697">
<title>Removing Statefiles</title>
</section>
<section href="ch02.html#id5189759" id="id5189759">
<title>Disabling User Checkpoints</title>
</section>
</section>
<section href="ch02.html#LE38061-PARENT" id="LE38061-PARENT">
<title>Checkpointable Objects</title>
</section>
<section href="ch02.html#LE30561-PARENT" id="LE30561-PARENT">
<title>Non-Checkpointable Objects</title>
</section>
<section href="ch02.html#LE39003-PARENT" id="LE39003-PARENT">
<title>Troubleshooting</title>
<section href="ch02.html#id5190255" id="id5190255">
<title>Failure to Checkpoint</title>
<table href="ch02.html#id5190293" id="id5190293">
<title>Table 2-2. Checkpoint Failure Messages</title>
</table>
</section>
<section href="ch02.html#id5190580" id="id5190580">
<title>Failure to Restart</title>
<table href="ch02.html#id5190618" id="id5190618">
<title>Table 2-3. Restart Failure Messages</title>
</table>
</section>
</section>
</chapter>
<chapter href="ch03.html" id="LE85437-PARENT">
<title>Chapter 3. Programming Checkpoint and Restart</title>
<section href="ch03.html#LE28893-PARENT" id="LE28893-PARENT">
<title>Design of Checkpoint and Restart</title>
<section href="ch03.html#id5190983" id="id5190983">
<title>POSIX Compliance</title>
</section>
<section href="ch03.html#id5191008" id="id5191008">
<title>IRIX Extensions</title>
</section>
</section>
<section href="ch03.html#LE15058-PARENT" id="LE15058-PARENT">
<title>Programming Issues</title>
<section href="ch03.html#id5191173" id="id5191173">
<title>CPR Library Interfaces</title>
</section>
<section href="ch03.html#id5191451" id="id5191451">
<title>SIGCKPT and SIGRESTART</title>
</section>
<section href="ch03.html#id5191565" id="id5191565">
<title>Adding Event Handlers</title>
</section>
<section href="ch03.html#id5191661" id="id5191661">
<title>Preparing for Checkpoint</title>
<example href="ch03.html#id5191688" id="id5191688">
<title>Example 3-1. Checkpoint and Restart Event Handling</title>
</example>
</section>
<section href="ch03.html#id5191698" id="id5191698">
<title>Handling a Checkpoint</title>
<example href="ch03.html#id5191764" id="id5191764">
<title>Example 3-2. Routine to Handle Checkpoint</title>
</example>
<section href="ch03.html#id5191789" id="id5191789">
<title>Checkpoint Time-outs</title>
<example href="ch03.html#id5191856" id="id5191856">
<title>Example 3-3. Setting an Alarm in Callback</title>
</example>
</section>
</section>
<section href="ch03.html#id5191870" id="id5191870">
<title>Handling a Restart</title>
<example href="ch03.html#id5191921" id="id5191921">
<title>Example 3-4. Routine to Handle Restart</title>
</example>
</section>
</section>
<section href="ch03.html#LE26245-PARENT" id="LE26245-PARENT">
<title>Checkpoint and Restart of System Objects</title>
<section href="ch03.html#LE63883-PARENT" id="LE63883-PARENT">
<title>Checkpoint-Safe Objects</title>
<section href="ch03.html#id5192018" id="id5192018">
<title>Supported Process Groupings</title>
</section>
<section href="ch03.html#id5192051" id="id5192051">
<title>User Memory</title>
</section>
<section href="ch03.html#id5192088" id="id5192088">
<title>System States in Kernel</title>
</section>
<section href="ch03.html#id5192146" id="id5192146">
<title>System Calls</title>
</section>
<section href="ch03.html#id5192198" id="id5192198">
<title>SIgnals</title>
</section>
<section href="ch03.html#LE26794-PARENT" id="LE26794-PARENT">
<title>Open Files and Devices</title>
</section>
<section href="ch03.html#id5192361" id="id5192361">
<title>Open Pipes</title>
</section>
<section href="ch03.html#id5192382" id="id5192382">
<title>Shared Memory and Semaphores</title>
</section>
<section href="ch03.html#id5192446" id="id5192446">
<title>Application Licensing</title>
</section>
<section href="ch03.html#id5192509" id="id5192509">
<title>Network Applications Using Array Services</title>
</section>
<section href="ch03.html#id5192566" id="id5192566">
<title>Other Supported Command</title>
</section>
<section href="ch03.html#id5192747" id="id5192747">
<title>Compatibility Between Releases</title>
</section>
</section>
<section href="ch03.html#LE95268-PARENT" id="LE95268-PARENT">
<title>Limitations and Caveats</title>
<section href="ch03.html#id5192880" id="id5192880">
<title>SVR4 Semaphores and Messages</title>
</section>
<section href="ch03.html#id5192917" id="id5192917">
<title>Networking Socket Connections</title>
</section>
<section href="ch03.html#id5192975" id="id5192975">
<title>Other Special Devices</title>
</section>
<section href="ch03.html#id5193004" id="id5193004">
<title>Graphics</title>
</section>
<section href="ch03.html#id5193028" id="id5193028">
<title>Miscellaneous Restrictions</title>
</section>
</section>
</section>
<section href="ch03.html#LE33638-PARENT" id="LE33638-PARENT">
<title>Saving State With ckpt_create()</title>
<example href="ch03.html#id5193168" id="id5193168">
<title>Example 3-5. Sample Usage of ckpt_create() Function</title>
</example>
</section>
<section href="ch03.html#LE28428-PARENT" id="LE28428-PARENT">
<title>Resuming With ckpt_restart()</title>
<example href="ch03.html#id5193366" id="id5193366">
<title>Example 3-6. Sample Usage of ckpt_restart() Function</title>
</example>
</section>
<section href="ch03.html#LE35917-PARENT" id="LE35917-PARENT">
<title>Checking Status With ckpt_stat()</title>
<example href="ch03.html#id5193549" id="id5193549">
<title>Example 3-7. Sample Usage of ckpt_stat() Function</title>
</example>
</section>
<section href="ch03.html#LE24034-PARENT" id="LE24034-PARENT">
<title>Removing Checkpoints With ckpt_remove()</title>
<example href="ch03.html#id5193637" id="id5193637">
<title>Example 3-8. Sample Usage of ckpt_remove() Function</title>
</example>
</section>
<section href="ch03.html#LE28787-PARENT" id="LE28787-PARENT">
<title>Preparing Checkpoints With ckpt_setup()</title>
<example href="ch03.html#id5193692" id="id5193692">
<title>Example 3-9. Implementation of ckpt_setup() Function</title>
</example>
</section>
</chapter>
<appendix href="apa.html" id="id5193707">
<title>Appendix A. Online Help</title>
<section href="apa.html#id5193722" id="id5193722" helpid="overview">
<title>Overview</title>
</section>
<section href="apa.html#id5193756" id="id5193756" helpid="howToChkpt">
<title>How to Checkpoint</title>
</section>
<section href="apa.html#id5193812" id="id5193812" helpid="howToRestart">
<title>How to Restart</title>
</section>
<section href="apa.html#id5193850" id="id5193850" helpid="howToQuery">
<title>Querying a Statefile</title>
</section>
<section href="apa.html#id5193885" id="id5193885" helpid="howToDelete">
<title>Deleting a Statefile</title>
</section>
<section href="apa.html#id5193920" id="id5193920" helpid="emptyLabel1">
<title>Checkpoint Widgets</title>
<section href="apa.html#id5193927" id="id5193927" helpid="step1">
<title>Step I Button</title>
</section>
<section href="apa.html#id5193940" id="id5193940" helpid="userDP">
<title>User Drop Pocket</title>
</section>
<section href="apa.html#id5193953" id="id5193953" helpid="userName">
<title>User Name</title>
</section>
<section href="apa.html#id5193989" id="id5193989" helpid="userRcyl">
<title>User Recycle</title>
</section>
<section href="apa.html#id5194004" id="id5194004" helpid="procList">
<title>Process List</title>
</section>
<section href="apa.html#id5194169" id="id5194169" helpid="procType">
<title>Process Types</title>
</section>
<section href="apa.html#id5194257" id="id5194257" helpid="statefile">
<title>Statefile Field</title>
</section>
<section href="apa.html#id5194281" id="id5194281" helpid="statefileDP">
<title>Statefile Drop Pocket</title>
</section>
<section href="apa.html#id5194296" id="id5194296" helpid="statefileName">
<title>Statefile Name</title>
</section>
<section href="apa.html#id5194331" id="id5194331" helpid="sysUpgr">
<title>System Upgrade</title>
</section>
<section href="apa.html#id5194348" id="id5194348" helpid="step2">
<title>Step II Button</title>
</section>
<section href="apa.html#id5194372" id="id5194372" helpid="willMenu">
<title>Exit or Continue</title>
</section>
<section href="apa.html#id5194387" id="id5194387" helpid="fileAttr">
<title>File Dispositions</title>
</section>
<section href="apa.html#id5194516" id="id5194516" helpid="fileList">
<title>Open File List</title>
</section>
<section href="apa.html#id5194531" id="id5194531" helpid="buttonOK">
<title>OK Button</title>
</section>
<section href="apa.html#id5194544" id="id5194544" helpid="buttonAbort">
<title>Cancel Button</title>
</section>
<section href="apa.html#id5194558" id="id5194558" helpid="tabArea">
<title>Tab Controls</title>
</section>
</section>
<section href="apa.html#id5194578" id="id5194578" helpid="emptyLabel2">
<title>Restart Widgets</title>
<section href="apa.html#id5194585" id="id5194585" helpid="but_ls">
<title>List Button</title>
</section>
<section href="apa.html#id5194598" id="id5194598" helpid="pathDP">
<title>Finder Drop Pocket</title>
</section>
<section href="apa.html#id5194613" id="id5194613" helpid="pathName">
<title>Finder Pathname</title>
</section>
<section href="apa.html#id5194628" id="id5194628" helpid="pathRcyl">
<title>Finder Recycle</title>
</section>
<section href="apa.html#id5194664" id="id5194664" helpid="lsList">
<title>Statefile List</title>
</section>
<section href="apa.html#id5194680" id="id5194680" helpid="forkMenu">
<title>Process ID Menu</title>
</section>
<section href="apa.html#id5194696" id="id5194696" helpid="notWrkngDir">
<title>Original Working Directory</title>
</section>
<section href="apa.html#id5194711" id="id5194711" helpid="notRootDir">
<title>Original Root Directory</title>
</section>
<section href="apa.html#id5194727" id="id5194727" helpid="buttonRestart">
<title>Restart Button</title>
</section>
<section href="apa.html#id5194740" id="id5194740" helpid="buttonQuery">
<title>Tell Me More Button</title>
</section>
<section href="apa.html#id5194783" id="id5194783" helpid="buttonRemove">
<title>Remove Statefile Button</title>
</section>
</section>
</appendix>
<index href="ix01.html" id="ix">
<title>Index</title>
</index>
</book>
</toc>
